Bug 854429 - Deprecated man page and help info for rhc sshkey
Deprecated man page and help info for rhc sshkey
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Hiro Asari
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 22:58 EDT by Jianwei Hou
Modified: 2015-05-14 22:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:28:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2012-09-04 22:58:16 EDT
Description of problem:
'rhc sshkey update' command is deprecated in US2600, but the 'update' command is not removed from man page and help.

Version-Release number of selected component (if applicable):
fork_ami_US2600_71

How reproducible:
Always

Steps to Reproduce:
1. Simply run rhc sshky --help, man rhc-sshkey, rhc sshkey update --help
2.
3.
  
Actual results:
the 'update' command still exists in man page and help

[root@ip-10-111-7-229 .ssh]# rhc sshkey --help
Usage: rhc sshkey <action>

Manage multiple keys for the registered rhcloud user.

List of Actions
  remove             Remove SSH key from the user account
  list               Display all the SSH keys for the user account
  add                Add SSH key to the user account
  update             Update SSH key for the user account

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  -t, --trace               Display backtrace when an error occurs


Expected results:
'update' action show be removed from man page and help infos. 
Now that CLI already has this command deprecated, man page and help should also be consistent with CLI.

Additional info:
Comment 1 Jianwei Hou 2012-09-04 23:15:35 EDT
Also have deprecated help information in rhc sshkey add/update/remove

Steps to reproduce:
1. rhc rhc sshkey add --help

[root@ip-10-111-7-229 .ssh]# rhc sshkey add --help
Usage: rhc sshkey add <name> <SSH Key file>

Add SSH key to the user account

Options for sshkey add
  --timeout timeout         Timeout, in seconds, for the session
  -i, --identifier name     Name for this key
  -k, --ssh key-filepath    SSH public key filepath

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  -t, --trace               Display backtrace when an error occurs
2. Add an sshkey 
   rhc sshkey add -i default -k ~/.ssh/id_rsa.pub

Result:

[root@ip-10-111-7-229 .ssh]# rhc sshkey add -i default -k ~/.ssh/id_rsa.pub 
Missing required argument 'name'.

Additional info:
As we can see with --help, the Usage and Options are inconsistent for 'rhc sshkey add/update/remove'
Now we should use 'rhc sshkey add default ~/.ssh/id_rsa.pub' to add sshkey, the -i, -k flags are deprecated and should not appear in man page and help
Comment 2 jizhao 2012-09-06 07:40:38 EDT
This bug is verified on fork_ami_US2600_76.

Steps to verify:
1. rhc sshkey --help
2. man rhc-sshkey
3. rhc sshkey update --help
4. rhc sshkey update

Results:
1.update             Deprecated. "remove" and "addd" instead.
2.update Deprecated. ’remove’ and ’add’ instead.
3.Deprecated. "remove" and "addd" instead.
4.Update command is deprecated. Please delete and re-add the key with the same name.

Note You need to log in before you can comment on or make changes to this bug.